package com.chenyang.nse.bussiness.enumeration;

import java.util.ArrayList;
import java.util.List;

public enum Eprivilege {
   EXESUBSET("EXESUBSET", "执行数据子集任务", "0", "可以执行数据子集任务"),
   EXEDATACOPY("EXEDATACOPY", "执行数据复制任务", "1", "可以执行数据复制任务"),
   EXEMASKING("EXEMASKING", "执行数据脱敏任务", "2", "可以执行数据脱敏任务");

   private String code;
   private String name;
   private String flag;
   private String note;

   private Eprivilege(String code, String name, String flag, String note) {
      this.code = code;
      this.name = name;
      this.flag = flag;
      this.note = note;
   }

   public String getCode() {
      return this.code;
   }

   public void setCode(String code) {
      this.code = code;
   }

   public String getName() {
      return this.name;
   }

   public void setName(String name) {
      this.name = name;
   }

   public String getFlag() {
      return this.flag;
   }

   public void setFlag(String flag) {
      this.flag = flag;
   }

   public String getNote() {
      return this.note;
   }

   public void setNote(String note) {
      this.note = note;
   }

   public static List<String> getFlagList() {
      Eprivilege[] arr = values();
      List<String> list = new ArrayList();

      for(Eprivilege item : arr) {
         list.add(item.getFlag());
      }

      return list;
   }
}
